/* $Id: Bante.java,v 1.3 2007/05/20 07:37:47 mit Exp $ */
/* Bante.java v2.2 (Design) */
public class Bante{
    private final int BAN = 0;
    private final int DIA = 1;
    private final int FZU = 2;
    private final int DPE = 3;
    private final double [][] bdb = {
	{12, 0.725, 743.90, 88757.36},  {12.5, 0.750, 789.59, 94984.09},
	{13, 0.775, 839.64, 101421.90}, {13.5, 0.800, 887.28, 108070.79},
	{14, 0.825, 939.68, 114930.75}, {14.5, 0.850, 989.14, 122001.79},
	{15, 0.875, 1043.76, 129283.90},{15.5, 0.900, 1094.90, 136777.09},
	{16, 0.925, 1151.63, 144481.36},{16.5, 0.950, 1204.29, 152396.70},
	{17, 0.975, 1263.02, 160523.11},{17.5, 1.000, 1317.06, 168860.61},
	{18, 1.025, 1377.67, 177409.17},{18.5, 1.050, 1432.96, 186168.82},
	{19, 1.075, 1495.33, 195139.54},{19.5, 1.100, 1551.71, 204321.33},
	{20, 1.125, 1608.42, 213714.20},{20.5, 1.150, 1665.42, 223318.15},
	{21, 1.175, 1722.67, 233133.17},{21.5, 1.200, 1780.12, 243159.27},
	{22, 1.225, 1837.72, 253396.45},{22.5, 1.250, 1895.45, 263844.70},
	{23, 1.300, 2030.59, 285374.42},{23.5, 1.350, 2179.26, 307748.45},
	{24, 1.400, 2332.36, 330966.79},{24.5, 1.450, 2489.78, 355029.42},
	{25, 1.500, 2651.46, 379936.36}};

    public Bante() { }
    public double getNearb(double d) {
	double dif1, dif0 = Math.abs(d-bdb[0][DIA]);
	int ban = 0;
	for (int i = 1; i < bdb.length; i++) {
	    dif1 = Math.abs(d-bdb[i][DIA]);
	    if (dif1 < dif0) {
		dif0 = dif1;
		ban = i;
	    }
	}
	return bdb[ban][BAN];
    }
    public double getNeard(double d) {
	double dif1, dif0 = Math.abs(d-bdb[0][DIA]);
	int ban = 0;
	for (int i = 1; i < bdb.length; i++) {
	    dif1 = Math.abs(d-bdb[i][DIA]);
	    if (dif1 < dif0) {
		dif0 = dif1;
		ban = i;
	    }
	}
	return bdb[ban][DIA];
    }
    public double getBante(double dia) {
	double dif1, dif0 = Math.abs(dia-bdb[0][DIA]);
	int ban = 0;
	for (int i = 1; i < bdb.length; i++) {
	    dif1 = Math.abs(dia-bdb[i][DIA]);
	    if (dif1 < dif0) {
		dif0 = dif1;
		ban = i;
	    }
	}
	return bdb[ban][BAN];
    }
    public double getDiameter(double ban) {
	if (ban < 12)
	    return ban;
	for (int i = 0; i < bdb.length; i++) {
	    if (bdb[i][BAN] == ban)
		return bdb[i][DIA];
	}
	return ban;
    }
    public double getFzn(double ban) {
	for (int i = 0; i < bdb.length; i++) {
	    if (bdb[i][BAN] == ban)
		return bdb[i][FZU];
	}
	return -1;
    }
    public double getDen(double ban) {
	for (int i = 0; i < bdb.length; i++) {
 	    if (bdb[i][BAN] == ban)
		return bdb[i][DPE];
	}
	return -1;
    }
    public double getMin() {
	return bdb[0][BAN];
    }
    public double getMax() {
	return bdb[bdb.length-1][BAN];
    }
    public double getData(int num, int db) {
	if (num < 0 || num > bdb.length)
	    return 0;
	if (db < BAN || db > DPE)
	    return 0;

	return bdb[num][db];
    }
}
